[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.WMLButtonDBLCLK

Handles a left mouse button double click message for the control.

## Declaration

Source position: controls.pp line 1417

`protected procedure TControl.WMLButtonDBLCLK(`
`var Message: TLMLButtonDblClk`
`); message;`

## Arguments

`Message` |  | Window message handled in the method.

## Description

WMLButtonDblClk is a method used to handle a LM_LBUTTONDBLCLK window message for the control. Values in ControlStyle and CaptureMouseButtons are used to determine if MouseCapture is enabled in the method. The MouseDown method is called to update the mouse pointer position and to signal the OnMouseDown event handler (when assigned). The DblClick method is called to signal the OnDblClick event handler (when assigned).

## See also

TControl.MouseCapture |  | True when mouse messages are currently captured by this control.
TControl.ControlStyle |  | Contains style flags which control the features or behaviors enabled for the control.
TControl.CaptureMouseButtons |  | Indicates the mouse button(s) which are captured for the control.
TControl.MouseDown |  | Handles a mouse down event for the control.
TControl.DblClick |  | Signals the OnDblClick event handler (when assigned).